%define mver 2.6.6
%define aver 1.3.12

%define libexecdir `%{_sbindir}/apxs -q LIBEXECDIR`
#%define libexecdir /usr/lib/apache

%define httpdconf `%{_sbindir}/apxs -q SYSCONFDIR`
#%define httpdconf /etc/httpd/conf

%define crtsdir %{httpdconf}/ssl.crt
%define keysdir %{httpdconf}/ssl.key
%define contentdir /var/www

Summary: An SSL module for the Apache Web server.
Summary(de): SSL-Modul fuer den Apache-Webserver
Summary(fr): Un module SSL pour le serveur Web Apache
Name: mod_ssl
Version: %{mver}_%{aver}
Release: 1
Group: System Environment/Daemons
Source0: ftp://ftp.modssl.org/source/mod_ssl-%{mver}-%{aver}.tar.bz2
Source1: httpd.conf.ssl
Source2: server.crt
Source3: server.key
Source4: sxnet.html
Patch0: ssl.patch.bz2
Copyright: BSD
Vendor: Ralf S. Engelschall <rse@engelschall.com>
URL: http://www.modssl.org/
BuildRoot: %{_tmppath}/%{name}-root
Requires: apache = %{aver}, openssl
BuildPreReq: apache-devel = %{aver}, mm

%description
The mod_ssl project provides strong cryptography for the Apache 1.3 webserver 
via the Secure Sockets Layer (SSL v2/v3) and Transport Layer Security (TLS v1) 
protocols by the help of the Open Source SSL/TLS toolkit OpenSSL, which is 
based on SSLeay from Eric A. Young and Tim J. Hudson. 

The mod_ssl package was created in April 1998 by Ralf S. Engelschall and was 
originally derived from software developed by Ben Laurie for use in the 
Apache-SSL HTTP server project. The mod_ssl package is licensed under a 
BSD-style licence, which basically means that you are free to get and use it 
for commercial and non-commercial purposes. 

%description -l de
Das mod_ssl-Projekt stellt kryptographie fr den Apache 1.3-Webserver ber
Secure Sockets Layer (SSL v2/v3) und Transport Layer Security (TLS
v1)-Protokolle zur Verfgung. Dazu wird das Open Source SSL/TLS-Toolkit
OpenSSL, das auf SSLeay basiert, verwendet.

%description -l fr
Le projet mod_ssl fournit de la forte cryptographie pour le serveur web
Apache 1.3 via les protocoles Secure Sockets Layer (SSL v2/v3) et Transport Layer
Security (TLS v1) avec l'aide du kit d'outils Open Source SSL/TLS, OpenSSL,
base sur SSLeay d'Eric A. Young et Tim J. Hudson.

%ifnarch i586 i686
%package doc
Summary: The manual of mod_ssl package.
Group: Development/Libraries

%description doc
The manual of mod_ssl package.
%endif

%package sxnet
Summary: Strong Extranet module for mod_ssl and apache
Summary(fr): Module d'Extranet Fort pour Apache et mod_ssl
Group: System Environment/Daemons
%description sxnet
The Strong Extranet allows you to use digital certificates to authenticate
users on your web server. Typically, your users enroll in your Strong 
Extranet, under your control, through the Thawte Personal Cert System.  

%description -l fr
L'Extranet Fort vous permet d'utiliser des certificats numeriques pour
authentifier les usagers sur votre serveur web. Typiquement, vos usagers
s'enrolent dans votre Extranet Fort, sous votre controle, a travers le
Thawte Personal Cert System.

%ifnarch i586 i686
%package sxnet-doc
Summary: The manual of mod_ssl-sxnet package.
Group: Development/Libraries

%description sxnet-doc
The manual of mod_ssl-sxnet package.
%endif

%prep
%setup -n mod_ssl-%{mver}-%{aver}

cd pkg.sslmod
%patch -p1 

%build
export SSL_BASE=SYSTEM
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--with-apxs=%{_sbindir}/apxs \
	--with-mm=SYSTEM
make

cd pkg.contrib
tar xvf sxnet.tar
cd sxnet
%{_sbindir}/apxs -I/usr/include/openssl/ -L/usr/lib -l ssl -l crypto -c mod_sxnet.c

%install

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{libexecdir}
install -m 755 pkg.sslmod/libssl.so $RPM_BUILD_ROOT%{libexecdir}
install -m 755 pkg.contrib/sxnet/mod_sxnet.so $RPM_BUILD_ROOT%{libexecdir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mod_ssl
install -m 755 pkg.contrib/*.sh $RPM_BUILD_ROOT%{_datadir}/mod_ssl
mkdir -p $RPM_BUILD_ROOT%{httpdconf}
#install -m 644 $RPM_SOURCE_DIR/httpd.conf.ssl $RPM_BUILD_ROOT%{httpdconf}
sed 's|/home/httpd|%{contentdir}|g' $RPM_SOURCE_DIR/httpd.conf.ssl > $RPM_BUILD_ROOT%{httpdconf}/httpd.conf.ssl
mkdir -p $RPM_BUILD_ROOT%{crtsdir}
install -m 644 $RPM_SOURCE_DIR/server.crt $RPM_BUILD_ROOT%{crtsdir}
mkdir -p $RPM_BUILD_ROOT%{keysdir}
install -m 644 $RPM_SOURCE_DIR/server.key $RPM_BUILD_ROOT%{keysdir}

mkdir -p $RPM_BUILD_ROOT%{contentdir}/html/manual/mod/other/mod_ssl
install -m 644 $RPM_BUILD_DIR/mod_ssl-%{mver}-%{aver}/pkg.ssldoc/* $RPM_BUILD_ROOT%{contentdir}/html/manual/mod/other/mod_ssl
mkdir -p $RPM_BUILD_ROOT%{contentdir}/html/manual/mod/other
install -m 644 $RPM_SOURCE_DIR/sxnet.html $RPM_BUILD_ROOT%{contentdir}/html/manual/mod/other/mod_sxnet.html

%post
# apache 1.3.12-2 alredy have config for that
#if [ -f %{httpdconf}/httpd.conf ] && \
#   ! egrep -q '^(#.*)?[Ii]nclude.*httpd\.conf\.ssl' %{httpdconf}/httpd.conf
#then
#    echo "Include conf/httpd.conf.ssl" >> %{httpdconf}/httpd.conf
#fi
#/etc/rc.d/init.d/httpd restart
echo "Now you can restart your webserver"

%postun
#touch %{httpdconf}/httpd.conf.ssl
#/etc/rc.d/init.d/httpd restart
echo "Now you can restart your webserver"

%files
%defattr(-,root,root)
#%config %{httpdconf}/httpd.conf.ssl
%dir %{crtsdir}
%dir %{keysdir}
%config(noreplace) %{crtsdir}/server.crt
%config(noreplace) %{keysdir}/server.key
%doc ANNOUNCE
%doc CHANGES
%doc CREDITS
%doc LICENSE
%doc NEWS
%doc README
%doc README.GlobalID
%doc README.Patents
%doc README.Support
%doc README.Versions
%doc README.Wishes

%{libexecdir}/libssl.so

%dir %{_datadir}/mod_ssl
%{_datadir}/mod_ssl/*.sh

%files sxnet
%defattr(-,root,root)
%{libexecdir}/mod_sxnet.so

%ifnarch i586 i686
%files doc
%defattr(-,root,root)
%{contentdir}/html/manual/mod/other/mod_ssl

%files sxnet-doc
%defattr(-,root,root)
%{contentdir}/html/manual/mod/other/mod_sxnet.html
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Aug 22 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 2.6.6-1.3.12
- added %%dir %%{crtsdir} and %%dir %%{keysdir} to %%files
- pkg.contrib/*.sh moved from /usr/local/ssl/mod_ssl to %%{_datadir}/mod_ssl
- documentation moved from %%{contentdir}/html/ssl-doc to
  %%{contentdir}/html/manual/mod/other/mod_ssl and made as separate package
- sxnet documentation moved from %%{contentdir}/html/sxnet/index.html to
  %%{contentdir}/html/manual/mod/other/mod_sxnet.html and made as separate
  package
- %%config(noreplace) used for server.key and server.crt
- do not make doc packages for i586 and i686 architectures

* Tue Jul 18 2000 Peter Hanecak <hanecak@megaloman.sk>
- synchronized with apache-1.3.12-2 (%%{contentdir} is /var/www, ...)
- BuildPreReq apache-devel (because of apxs)
- more info used from apxs

* Thu Jul  6 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 2.6.5-1.3.12
- %%{_tmppath} used

* Fri May 26 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 2.6.4-1.3.12
- small spec tweaking

* Thu Mar  9 2000 Michael Tokarev <mjt@tls.msk.ru>
- modified .spec file to simplify installation on non-default http home dir
  (RedHat uses /home/httpd, variants are /var/httpd etc)
- removed implicit dependance on mm library (if used as shared, it
  will be found by rpm); added it to BuildPreReq section
- changed PreReq to BuildPreReq (so that it will not depend on apache-devel)
- added apache-devel to BuildPreReq
- added implicit version of required apache (maybe wrong?)

* Fri Mar  3 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 2.6.2-1.3.12
- %post changed so it does not include "Include conf/httpd.conf.ssl"
  into http.conf if it is alredy present (even when commented out)

* Wed Mar  1 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 2.6.1-1.3.12
- requires mm, requires apache-devel for building
- 'apxs' replaced with '/usr/sbin/apxs'
- do not automaticaly restart webserver (%post, %postun)

* Sat Feb 26 2000 Peter Hanecak <hanecak@megaloman.sk>
- update ot 2.6.0-1.3.12
- added URL

* Wed Feb  9 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 2.5.0-1.3.11
- some little spec changes (vendor, defattr, ...)
- mm library used

* Sat Jun 05 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- moved documentation in html
- rebuilt for the new optimized apache

* Sun May 30 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 2.3.1
- add fr locale
- added sxnet (Secure ExtraNet) package from Thawte

* Sun May 23 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- handle RPM_OPT_FLAGS
- add de locale
- don't require openssl-devel
